Bug 552318 - deploying content to a resource never gets out of "In Progress"
deploying content to a resource never gets out of "In Progress"
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
All All
high Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
: SubBug
Depends On:
Blocks: rhq_spearhead rhq_core_next
  Show dependency treegraph
Reported: 2010-01-04 12:05 EST by John Mazzitelli
Modified: 2015-02-01 18:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-23 16:46:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-01-04 12:05:33 EST
I'm trying to do something using content - specifically, pushing and deleting content packages (note: this is NOT content-backed resource creation - its just pushing content to an existing resource for that resource's use). I wrote a plugin that defines its own content package types - I can have the agent discover packages, the GUI can upload packages and push those packages to my plugin component and I can remove those packages. All of that works on the agent side. However, in the server/GUI, things are broken. When I go to the content tab, anytime I try to do something (upload a package, delete packages) the audit history gets stuck in "in progress" state. None of my requests get out of that "in progress" state (even though I can confirm that the agent/plugin side of things is finished doing what it needed to do - and it did it successfully). So, some how, the content subsystem has a bug where it can't complete a content workflow from server-to-agent. This does NOT involve content repos or channel subscriptions - I am essentially using the browser-file-upload capability to upload a package and push it directly out to the agent.

In addition, after I deploy more than one piece of content, only the last one is shown in the "deployed" subtab of the Content tab.
Comment 1 wes hayutin 2010-02-16 11:57:58 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:56 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Joseph Marques 2010-12-13 15:07:37 EST
that's not good.  aside from the individual issue here, we probably want a job that comes along and periodically sweeps for things stuck in the "in progress" state, and forcefully cancels them.

Note You need to log in before you can comment on or make changes to this bug.